package AuthorInformationEditController::CMS;

use strict;

sub header {
    my ($cb, $app, $template) = @_;
    my $plugin = MT->component("AuthorInformationEditController");

    if ($plugin->get_config_value('userNameEditController_hidden_link')) {

    my $old = <<HERE;
        <li id="user"><a href="<\$mt:var name="mt_url"\$>?__mode=view&amp;_type=author&amp;id=<\$mt:var name="author_id" escape="url"\$>"><img alt="<mt:var name="author_display_name" escape="html">" src="<mt:if name="author_userpic_url"><mt:var name="author_userpic_url" escape="html"><mt:else><mt:var name="static_uri">images/default-userpic-36.jpg</mt:if>" width="18" height="18" class="userpic" /> <span class="username"><mt:if name="author_display_name"><mt:var name="author_display_name" escape="html"><mt:else><mt:var name="author_name" escape="html"></mt:if></span></a></li>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
        <li id="user"><img alt="<mt:var name="author_display_name" escape="html">" src="<mt:if name="author_userpic_url"><mt:var name="author_userpic_url" escape="html"><mt:else><mt:var name="static_uri">images/default-userpic-36.jpg</mt:if>" width="18" height="18" class="userpic" /> <span class="username"><mt:if name="author_display_name"><mt:var name="author_display_name" escape="html"><mt:else><mt:var name="author_name" escape="html"></mt:if></span></li>
HERE

    $$template =~ s/$old/$new/;

    }
}

sub edit_author {
    my ($cb, $app, $template) = @_;

    my $plugin = MT->component("AuthorInformationEditController");

    my $old = <<HERE;
    <mtapp:setting
       id="name"
       required="1"
       label="<__trans phrase="Username">"
       hint="<__trans phrase="The username used to login.">">
      <input type="text" name="name" id="name" class="text" value="<mt:var name="name" escape="html">" <mt:unless name="auth_mode_mt"><mt:unless name="new_user_external_auth">disabled="disabled"</mt:unless></mt:unless> /><mt:unless name="auth_mode_mt"><mt:unless name="new_user_external_auth"><input name="name" type="hidden" value="<mt:var name="name" escape="html">" /></mt:unless></mt:unless>
    </mtapp:setting>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:ignore>
perm_is_superuser:<mt:var name="perm_is_superuser" /><br />
new_object:<mt:var name="new_object" /><br />
editing_other_profile:<mt:var name="editing_other_profile" /><br />
</mt:ignore>
<mt:setvar name="required" value="1">
<mt:unless name="new_object">
  <mt:unless name="perm_is_superuser">
    <mt:unless name="editing_other_profile">
      <mt:setvar name="required" value="0">
    </mt:unless>
  </mt:unless>
</mt:unless>
<mtapp:setting
    id="name"
    required="\$required"
    label="<__trans phrase="Username">"
    hint="<__trans phrase="The username used to login.">">
        <input type="text" name="name" id="name" class="full-width" value="<mt:var name="name" escape="html">" 
<mt:unless name="new_object">
  <mt:unless name="perm_is_superuser">
    <mt:unless name="editing_other_profile">
readonly="readonly" style="width:150px;color:#000"
    </mt:unless>
  </mt:unless>
</mt:unless>
 />
<mt:unless name="new_object">
<input name="name" type="hidden" value="<mt:var name="name" escape="html">" />
</mt:unless>
</mtapp:setting>
HERE

    $$template =~ s/$old/$new/;

    if ($plugin->get_config_value('userNameEditController_display_name')) {

        $old = <<HERE;
    <mtapp:setting
       id="nickname"
       required="1"
       label="<__trans phrase="Display Name">"
       show_hint="1"
       hint="<__trans phrase="The name displayed when content from this user is published.">">
      <input type="text" name="nickname" id="nickname" class="text" value="<mt:var name="nickname" escape="html">" <mt:if name="nickname_readonly">disabled="disabled"</mt:if> /><mt:if name="nickname_readonly"><input name="nickname" type="hidden" value="<mt:var name="nickname" escape="html">" /></mt:if>
    </mtapp:setting>
HERE
        $old = quotemeta($old);
 
        $new = <<HERE;
    <mtapp:setting
        id="nickname"
        required="\$required"
        label="<__trans phrase="Display Name">"
        hint="<__trans phrase="The name used when published.">">
            <input type="text" name="nickname" id="nickname" class="full-width" value="<mt:var name="nickname" escape="html">"
<mt:unless name="new_object">
  <mt:unless name="perm_is_superuser">
    <mt:unless name="editing_other_profile">
readonly="readonly" style="color:#000"
    </mt:unless>
  </mt:unless>
</mt:unless>
 />
    </mtapp:setting>
HERE
        $$template =~ s/$old/$new/;
    }

    if ($plugin->get_config_value('userNameEditController_email')) {

        $old = <<HERE;
    <mtapp:setting
       id="email"
       required="\$auth_mode_mt"
       label="<__trans phrase="Email Address">"
       hint="<__trans phrase="The email address associated with this user.">">
       <input type="text" name="email" id="email" class="text" value="<mt:var name="email" escape="html">" <mt:if name="email_readonly">disabled="disabled"</mt:if> /><mt:if name="email_readonly"><input name="email" type="hidden" value="<mt:var name="email" escape="html">" /></mt:if>
    </mtapp:setting>
HERE
        $old = quotemeta($old);
 
        $new = <<HERE;
    <mtapp:setting
        id="email"
        required="0"
        label="<__trans phrase="Email Address">"
        hint="<__trans phrase="The email address associated with this user.">">
            <input type="text" name="email" id="email" class="full-width" value="<mt:var name="email" escape="html">"
<mt:unless name="new_object">
  <mt:unless name="perm_is_superuser">
    <mt:unless name="editing_other_profile">
readonly="readonly" style="color:#000"
    </mt:unless>
  </mt:unless>
</mt:unless>
 />
    </mtapp:setting>
HERE
        $$template =~ s/$old/$new/;
    }

    if ($plugin->get_config_value('userNameEditController_website_url')) {

        $old = <<HERE;
    <mtapp:setting
       id="url"
       label="<__trans phrase="Website URL">"
       show_hint="1"
       hint="<__trans phrase="This User's website (e.g. http://www.movabletype.com/).  If the Website URL and Display Name fields are both populated, Movable Type will by default publish entries and comments with bylines linked to this URL.">">
      <input type="text" name="url" id="url" class="text" value="<mt:var name="url" escape="html">" />
    </mtapp:setting>
HERE
        $old = quotemeta($old);
 
        $new = <<HERE;
    <mtapp:setting
        id="url"
        label="<__trans phrase="Website URL">"
        hint="<__trans phrase="The URL of the site associated with this user. eg. http://www.movabletype.com/">">
            <input type="text" name="url" id="url" class="full-width" value="<mt:var name="url" escape="html">"
<mt:unless name="new_object">
  <mt:unless name="perm_is_superuser">
    <mt:unless name="editing_other_profile">
readonly="readonly" style="color:#000"
    </mt:unless>
  </mt:unless>
</mt:unless>
 />
    </mtapp:setting>
HERE
        $$template =~ s/$old/$new/;
    }

MT->instance->log($$template);
}

1;
